
#pragma once

class CChatDlg;
class CSMSSendWnd;
// CNMDropTarget  Դϴ.
class CNMDropTarget : public COleDropTarget
{
public:
	CNMDropTarget();
	virtual ~CNMDropTarget();

	void setClipBoardFormat(UINT format) { _clipBoardFormat = format; }

	virtual BOOL OnDrop(CWnd* pWnd, COleDataObject* pDataObject,	DROPEFFECT dropEffect, CPoint point);
	virtual DROPEFFECT OnDragOver(CWnd* pWnd, COleDataObject* pDataObject, DWORD dwKeyState, CPoint point);
	virtual DROPEFFECT OnDragEnter(CWnd* pWnd, COleDataObject* pDataObject, DWORD dwKeyState, CPoint point);
	
	void SetChatDialog(CChatDlg * pDialog);
	void SetSMSSendDlg(CSMSSendWnd * pWnd );

	
private:
	DROPEFFECT GetDropEffect( COleDataObject* pDataObject );
	BOOL OnDropToSmsDlg(CWnd* pWnd, COleDataObject* pDataObject, DROPEFFECT dropEffect, CPoint point);
	BOOL OnDropToChatDlg(CWnd* pWnd, COleDataObject* pDataObject, DROPEFFECT dropEffect, CPoint point);
	UINT   _clipBoardFormat;
	CChatDlg    *m_pChatDialog;
	CSMSSendWnd  *m_pSmsSendWnd;
};

